<?php

// Ambil keyword dari data.txt
$dataFile = 'data.txt';
$keywords = file($dataFile, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
shuffle($keywords);

// Buat folder data jika belum ada
if (!file_exists('data')) {
    mkdir('data', 0777, true);
}

// Template sesuai tema cetakrapor.smkbpm.sch.id
$templates = [
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Sistem Administrasi Nilai dan Rapor",
        "description" => "{{brand}} mengintegrasikan rekap nilai, cetak rapor, dan monitoring perkembangan akademik siswa."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Sistem Administrasi Nilai dan Rapor",
        "description" => "{{brand}} mengintegrasikan rekap nilai, cetak rapor, dan monitoring perkembangan akademik siswa."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Sistem Administrasi Nilai dan Rapor",
        "description" => "{{brand}} mengintegrasikan rekap nilai, cetak rapor, dan monitoring perkembangan akademik siswa."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Sistem Administrasi Nilai dan Rapor",
        "description" => "{{brand}} mengintegrasikan rekap nilai, cetak rapor, dan monitoring perkembangan akademik siswa."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Sistem Digitalisasi Rapor SMK",
        "description" => "{{brand}} menghadirkan solusi modern untuk cetak rapor siswa berbasis web dan otomatisasi penuh."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Sistem Administrasi Nilai dan Rapor",
        "description" => "{{brand}} mengintegrasikan rekap nilai, cetak rapor, dan monitoring perkembangan akademik siswa."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
    [
        "title" => "{{brand}}: Platform Pengolahan Nilai dan Rapor",
        "description" => "{{brand}} memberikan kemudahan bagi guru dan wali kelas dalam rekap nilai dan distribusi rapor siswa."
    ],
    [
        "title" => "{{brand}}: Platform Cetak Rapor Digital SMK",
        "description" => "{{brand}} adalah sistem pintar untuk mengelola nilai, rekap otomatis, dan mencetak rapor sesuai kurikulum SMK."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Layanan Cetak Rapor Otomatis",
        "description" => "{{brand}} dirancang untuk menyederhanakan proses input nilai, rekapitulasi, dan cetak rapor berbasis data sekolah."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Aplikasi Sekolah untuk Cetak Rapor",
        "description" => "{{brand}} membantu pelaksanaan evaluasi hasil belajar dengan pencetakan rapor online dan realtime."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Solusi Manajemen Rapor Online SMK",
        "description" => "{{brand}} dirancang untuk mendukung proses pengolahan dan pencetakan rapor berbasis teknologi sekolah kejuruan."
    ],
    [
        "title" => "{{brand}}: Sistem Administrasi Nilai dan Rapor",
        "description" => "{{brand}} mengintegrasikan rekap nilai, cetak rapor, dan monitoring perkembangan akademik siswa."
    ],
    [
        "title" => "{{brand}}: Fitur Cerdas untuk Rapor SMK",
        "description" => "{{brand}} menawarkan kemudahan pencatatan nilai dan cetak rapor dalam satu dashboard yang efisien."
    ],
    [
        "title" => "{{brand}}: Aplikasi Rapor Digital Terintegrasi",
        "description" => "{{brand}} menyediakan layanan komprehensif dalam input nilai, validasi guru, dan cetak rapor siswa."
    ],
    [
        "title" => "{{brand}}: Dashboard Penilaian Akademik Sekolah",
        "description" => "{{brand}} memudahkan guru dalam mencatat, memproses, dan mencetak hasil belajar siswa dengan cepat."
    ],
];


// Utility function untuk nama file
function formatTopicForFile($topic) {
    return strtolower(preg_replace('/\s+/', '-', trim($topic)));
}

// Proses generate file untuk tiap keyword
foreach ($keywords as $brand) {
    $template = $templates[array_rand($templates)];
    $title = str_replace('{brand}', $brand, $template['title']);
    $description = str_replace('{brand}', $brand, $template['description']);

    $fileName = 'data/' . formatTopicForFile($brand) . '.txt';
    $content = "Title: $title\nDescription: $description\n";

    file_put_contents($fileName, $content);
    echo "Generated: $fileName<br>\n";
}

?>
